<div #el class="editor-container">

    <div #toolbar
    class="toolbar">

        <button title="Negrita" type="button" (click)="format('bold')"><b>B</b></button>
        <button title="Itálica" type="button" (click)="format('italic')"><em>I</em></button>
        <button title="Subrayado" type="button" (click)="format('underline')"><u>U</u></button>
        <button title="Tachado" type="button" (click)="format('strikethrough')"><s>S</s></button>

        <ng-container *ngIf="toolbarButtons === 'BASIC' || toolbarButtons === 'FULL'">
            <button title="Título" type="button" (click)="convert('h2')">H2</button>
            <button title="Subtítulo" type="button" (click)="convert('h3')">H3</button>
            <!-- <button title="Lista" type="button" (click)="format('insertUnorderedList')"><i class="las la-list-ul"></i></button>
            <button title="Lista numerada" type="button" (click)="format('insertOrderedList')"><i class="las la-list-ol"></i></button> -->
        </ng-container>

        <ng-container *ngIf="toolbarButtons === 'FULL'">
            <button title="Limpiar formato" type="button" (click)="format('removeFormat')"><i class="las la-broom"></i></button>

            <!-- <button *ngIf="enableFiles" class="last add-file" [class.flash]="flash"
            title="Insertar Referencia" type="button" (click)="openFileModal()"><i class="las la-paperclip"></i></button>
            <button *ngIf="!enableFiles" class="last"
            title="No hay referencias para insertar" type="button" disabled><i class="las la-paperclip"></i></button> -->
        </ng-container>

    </div>

    <div
    #editor
    class="content"
    contenteditable="true"
    mrKeyupDebouncer
    mrEditorInlineFileFinder
    (blur)="onTouched()"
    (input)="handleInput($event)"
    (mouseup)="mouseUp($event)"
    (click)="checkLength($event)"
    (keydown.enter)="enterCheck($event)"
    (keyup)="parse($event)"
    (paste)="handlePaste($event)"
    (drop)="$event.preventDefault()"
    (unlink)="removeFile($event)"
    (typingStart)="typingStart.emit()"
    (typingEnd)="typingEnd.emit()"
    [style.min-height.px]="minHeight"></div>

    <p class="placeholder"
    [class.hidden]="placeholderHidden"
    [style.top.px]="editor.offsetTop">
        {{ placeholder }}
    </p>

</div>
